// Customer.cpp : implementation file
//

#include "stdafx.h"
#include "DemoProject.h"
#include "Customer.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCustomer property page

IMPLEMENT_DYNCREATE(CCustomer, CPropertyPage)

CCustomer::CCustomer() : CPropertyPage(CCustomer::IDD)
{
	//{{AFX_DATA_INIT(CCustomer)
	m_strDate = _T("");
	m_dDiscount = 0.0;
	m_bExport = FALSE;
	m_strNumber = _T("");
	m_strName = _T("");
	m_strSearch = _T("");
	//}}AFX_DATA_INIT

    //Skapar en datastruktur av typen kund
    pData = AdkCreateData(ADK_DB_CUSTOMER);
}

CCustomer::~CCustomer()
{
    //Frigr minne frn datastrukturen
    error = AdkDeleteStruct(pData);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
}

void CCustomer::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCustomer)
	DDX_Control(pDX, IDC_EDIT_SEARCH, m_rSearch);
	DDX_Control(pDX, IDC_NEW, m_rNew);
	DDX_Control(pDX, IDC_NUMBER, m_rNumber);
	DDX_Control(pDX, IDC_NAME, m_rName);
	DDX_Control(pDX, IDC_EXPORT, m_rExport);
	DDX_Control(pDX, IDC_DISCOUNT, m_rDiscount);
	DDX_Control(pDX, IDC_DATE, m_rDate);
	DDX_Text(pDX, IDC_DATE, m_strDate);
	DDX_Text(pDX, IDC_DISCOUNT, m_dDiscount);
	DDX_Check(pDX, IDC_EXPORT, m_bExport);
	DDX_Text(pDX, IDC_NUMBER, m_strNumber);
	DDX_Text(pDX, IDC_NAME, m_strName);
	DDX_Text(pDX, IDC_EDIT_SEARCH, m_strSearch);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CCustomer, CPropertyPage)
	//{{AFX_MSG_MAP(CCustomer)
	ON_BN_CLICKED(IDC_FIRST, OnFirst)
	ON_BN_CLICKED(IDC_NEXT, OnNext)
	ON_BN_CLICKED(IDC_NEW, OnNew)
	ON_BN_CLICKED(IDC_SEARCH, OnSearch)
	ON_BN_CLICKED(IDC_UPDATE, OnUpdate)
	ON_BN_CLICKED(IDC_DELETE, OnDelete)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCustomer message handlers

//-----------------------------------------------------------------------------
// Funktion:	OnFirst
// Beskrivning:	Stller datastrukturen p frsta posten i databasen
//-----------------------------------------------------------------------------
void CCustomer::OnFirst() 
{
    //Hmtar frsta posten frn databasen
    error = AdkFirst(pData);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
    DataUpdate(pData);
}

//-----------------------------------------------------------------------------
// Funktion:	OnNext
// Beskrivning:	Stller datastrukturen p nsta post i databasen.
//              Utgr frn aktiv post
//-----------------------------------------------------------------------------
void CCustomer::OnNext() 
{
    //Hmtar frsta posten frn databasen
    error = AdkNext(pData);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
    DataUpdate(pData);
}

//-----------------------------------------------------------------------------
// Funktion:	DataUpdate
// Beskrivning:	Uppdaterar visuella flt fr information med data frn den post 
//              som nskas visas.
//-----------------------------------------------------------------------------
void CCustomer::DataUpdate(PADK_DATA pData)
{
    m_rNew.SetWindowText("Skapa ny post");

    char* pcTemp = new char[160];
    long lTemp;
    
    //Hmtar kundnummret och lgger det i den temporra strngen pcTemp
    error = AdkGetStr(pData, ADK_CUSTOMER_NUMBER, &pcTemp, 160);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
    //Kopierar in det vrde som hmtats till medlemsvariabeln m_strNumber
    m_strNumber = pcTemp;
    
    
    //Hmtar kundnamnet och lgger det i den temporra strngen pcTemp
    error = AdkGetStr(pData, ADK_CUSTOMER_NAME, &pcTemp, 160);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
    //Kopierar in det vrde som hmtats till medlemsvariabeln m_strName
    m_strName = pcTemp;
    
    //Hmtar datumet fr senaste fakturan och lgger det i variabeln lTemp.
    error = AdkGetDate(pData, ADK_CUSTOMER_LAST_INVOICE_DATE, &lTemp);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
    //Konverterar datumvrde i form av en long till ett datum p strng, lggs i den temporra strngen pcTemp
    error = AdkLongToDate(lTemp, &pcTemp, 160);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
    //Kopierar in det vrde som hmtats till medlemsvariabeln m_strDate
    m_strDate = pcTemp;
    
    //Hmtar fakturarabatten och lgger det i medlemsvariabeln m_dDiscount
    error = AdkGetDouble(pData, ADK_CUSTOMER_INVOICE_DISCOUNT, &m_dDiscount);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
    
    //Hmtar flaggan fr export och lgger det i medlemsvariabeln m_bExport
    error = AdkGetBool(pData, ADK_CUSTOMER_EXPORT, &m_bExport);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
    
    UpdateData(FALSE);
    
    delete [] pcTemp;
    
}

//-----------------------------------------------------------------------------
// Funktion:	OnNew
// Beskrivning:	Anropar Add() som skapar en ny post i databasen
//-----------------------------------------------------------------------------
void CCustomer::OnNew() 
{
    UpdateData(TRUE);
    //Anropas funktionen Add som skapar ny post
    Add();
    UpdateData(FALSE);	
}

//-----------------------------------------------------------------------------
// Funktion:	Add
// Beskrivning:	Lgger till en post i databasen. Anvnder de vrde som finns i 
//              datastrukturen.
//-----------------------------------------------------------------------------
void CCustomer::Add()
{
    int iLen;

    //Hmtar fltets lngd
    error = AdkGetLength(pData, ADK_CUSTOMER_NUMBER, &iLen);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
    //Tilldelar vrde till datastrukturen
    error = AdkSetStr(pData, ADK_CUSTOMER_NUMBER, m_strNumber.GetBuffer(iLen));
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }

    //Hmtar fltets lngd
    error = AdkGetLength(pData, ADK_CUSTOMER_NAME, &iLen);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
    //Tilldelar vrde till datastrukturen
    error = AdkSetStr(pData, ADK_CUSTOMER_NAME, m_strName.GetBuffer(iLen));
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }

    //Tilldelar vrde till datastrukturen
    error = AdkSetDouble(pData, ADK_CUSTOMER_INVOICE_DISCOUNT, m_dDiscount);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }

    //Tilldelar vrde till datastrukturen
    error = AdkSetBool(pData, ADK_CUSTOMER_EXPORT, m_bExport);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }

    //Lgger till posten i databasen
    error = AdkAdd(pData);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
}

//-----------------------------------------------------------------------------
// Funktion:	OnSearch
// Beskrivning:	Sker efter en post i databasen. Sker p kundnummer med det vrde
//              som skrivits till variabeln m_strSearch
//-----------------------------------------------------------------------------
void CCustomer::OnSearch() 
{
    int iLen;

    UpdateData(TRUE);
    //Skapar en variabel av typen ADK_SORT_ORDER
    ADK_SORT_ORDER nSortOrder;

    //Anger sorteringsordningen till kundnummer
    nSortOrder = eCustomerNr;

    //Stter den sorteringsordning som nskas
    error = AdkSetSortOrder(pData, nSortOrder);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }

    //Hmtar fltets lngd
    error = AdkGetLength(pData, ADK_CUSTOMER_NUMBER, &iLen);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
    //Tilldelar skvrde till datastrukturen
    error = AdkSetStr(pData, ADK_CUSTOMER_NUMBER, m_strSearch.GetBuffer(iLen));
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }

    //Sker i databasen
    error = AdkFind2(pData, TRUE);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
        return;
    }
    DataUpdate(pData);
}

//-----------------------------------------------------------------------------
// Funktion:	OnUpdate
// Beskrivning:	Uppdaterar en post i databasen. Anvnder de vrde som finns i 
//              datastrukturen. Den post som har aktuellt kundnummer kommer att 
//              uppdateras.
//-----------------------------------------------------------------------------
void CCustomer::OnUpdate() 
{
    UpdateData(TRUE);

    int iLen;

    //Hmtar fltets lngd
    error = AdkGetLength(pData, ADK_CUSTOMER_NUMBER, &iLen);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
    //Tilldelar vrde till datastrukturen
    error = AdkSetStr(pData, ADK_CUSTOMER_NUMBER, m_strNumber.GetBuffer(iLen));
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }

    //Hmtar fltets lngd
    error = AdkGetLength(pData, ADK_CUSTOMER_NAME, &iLen);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
    //Tilldelar vrde till datastrukturen
    error = AdkSetStr(pData, ADK_CUSTOMER_NAME, m_strName.GetBuffer(iLen));
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }

    //Tilldelar vrde till datastrukturen
    error = AdkSetDouble(pData, ADK_CUSTOMER_INVOICE_DISCOUNT, m_dDiscount);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }

    //Tilldelar vrde till datastrukturen
    error = AdkSetBool(pData, ADK_CUSTOMER_EXPORT, m_bExport);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
    
    //Anropar AdkUpdate som uppdaterar aktuell post i databasen
    error = AdkUpdate(pData);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
}
//-----------------------------------------------------------------------------
// Funktion:	OnDelete
// Beskrivning:	Raderar em post i databasen. Raderar den post som r aktiv.
//-----------------------------------------------------------------------------
void CCustomer::OnDelete() 
{
    UpdateData(TRUE);

    int iLen;

    //Hmtar fltets lngd
    error = AdkGetLength(pData, ADK_CUSTOMER_NUMBER, &iLen);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
    //Tilldelar vrde till datastrukturen, pekar ut vilken post som nskas raderas
    error = AdkSetStr(pData, ADK_CUSTOMER_NUMBER, m_strNumber.GetBuffer(iLen));
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }

    //Raderar den aktuella posten
    error = AdkDelete(pData);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
        return;
    }
    //Gick allt bra har minnet till datastrukturen avallokerats och en datastruktur mste skapas
    pData = AdkCreateData(ADK_DB_CUSTOMER);
    //Nr en ny datastruktur skapats hmtas frsta posten.
    OnFirst();    
}
