// DemoProject.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "DemoProject.h"
#include "RegPath.h"
#include "ErrorHandling.h"
#include "Customer.h"
#include "Invoice.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDemoProjectApp

BEGIN_MESSAGE_MAP(CDemoProjectApp, CWinApp)
	//{{AFX_MSG_MAP(CDemoProjectApp)
		// NOTE - the ClassWizard will add and remove mapping macros here.
		//    DO NOT EDIT what you see in these blocks of generated code!
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDemoProjectApp construction

CDemoProjectApp::CDemoProjectApp()
{
	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CDemoProjectApp object

CDemoProjectApp theApp;

/////////////////////////////////////////////////////////////////////////////
// Funktion fr att ppna koppling till databas och ange vr funktion fr att ta hand om varningar

void InitAdmin()
{
    //Skapar ett error objekt
    ADK_ERROR error;

	//Hmtar tips om skvg frn registret
	long retval;
	HKEY hKey;
	CString strCommonPath = "C:\\ProgramData\\SPCS\\SPCS Administration\\Gemensamma filer";
	CString strCompanyPath = "C:\\ProgramData\\SPCS\\SPCS Administration\\Fretag\\";

	//HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths
	retval = RegOpenKeyEx(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\App Paths\\SpcsAdm.Exe",0,KEY_QUERY_VALUE,&hKey);

	if (retval == ERROR_SUCCESS) {
		DWORD type;
		BYTE data[_MAX_PATH];
		DWORD datasize=sizeof(data);

		retval = RegQueryValueEx(hKey,"CommonFiles",NULL,&type,data,&datasize);
		if( retval == ERROR_SUCCESS ){
			if( type == REG_SZ ){
				strCommonPath = (LPSTR)data;
			}
		}
		retval = RegQueryValueEx(hKey,"DefaultCompanyPath",NULL,&type,data,&datasize);
		if( retval == ERROR_SUCCESS ){
			if( type == REG_SZ ){
				strCompanyPath = (LPSTR)data;
			}
		}

		RegCloseKey(hKey);
	}

    strCompanyPath += "Ovnbol2000";

	// Skapar dialogen fr inmatning av skvgar
    CRegPath rRegPath;
    
    //Stter skvgarna till de i .ini-filen eller de som r default
    rRegPath.m_strSys = strCommonPath;
    rRegPath.m_strFtg = strCompanyPath;
    
    rRegPath.DoModal();
    
    char* pszSys = (char*)(LPCSTR)rRegPath.m_strSys;
    char* pszFtg = (char*)(LPCSTR)rRegPath.m_strFtg;

    

    //Anropar AdkOpen och initierar API:et
    error = AdkOpen(pszSys, pszFtg);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
    
    //Anger den funktion dr varningar ska tas emot
    AdkSetWarningFunction(WarningFunction);
    
}


/////////////////////////////////////////////////////////////////////////////
// CDemoProjectApp initialization

BOOL CDemoProjectApp::InitInstance()
{
	AfxEnableControlContainer();

	// Standard initialization
	// If you are not using these features and wish to reduce the size
	//  of your final executable, you should remove from the following
	//  the specific initialization routines you do not need.

#ifdef _AFXDLL
	Enable3dControls();			// Call this when using MFC in a shared DLL
#else
	Enable3dControlsStatic();	// Call this when linking to MFC statically
#endif

    //Anrop fr att ppna koppling til admin och en databas
    InitAdmin();

       
    CCustomer m_Page1;
    CInvoice  m_Page2;

    CPropertySheet dlg;
	m_pMainWnd = &dlg;
    dlg.AddPage(&m_Page1);
    dlg.AddPage(&m_Page2);

    dlg.SetTitle("Demo Projekt");
 
    int nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with OK
	}
	else if (nResponse == IDCANCEL)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with Cancel
	}

    //Stnger vr koppling till Admin och den databas som ppnats
    AdkClose();

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
}
