// Invoice.cpp : implementation file
//

#include "stdafx.h"
#include "DemoProject.h"
#include "Invoice.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CInvoice property page

IMPLEMENT_DYNCREATE(CInvoice, CPropertyPage)

CInvoice::CInvoice() : CPropertyPage(CInvoice::IDD)
{
	//{{AFX_DATA_INIT(CInvoice)
	m_strCustomerNr = _T("");
	m_strDate = _T("");
	m_lnvoiceNr = 0;
	m_strArticleNr = _T("");
	m_dBstQuantity = 0.0;
	m_lSearch = 0;
	//}}AFX_DATA_INIT
    
    //Skapar en datastruktur av typen faktura
    pData = AdkCreateData(ADK_DB_INVOICE_HEAD);
}

CInvoice::~CInvoice()
{
    //Frigr minne frn datastrukturen
    error = AdkDeleteStruct(pData);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
}

void CInvoice::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CInvoice)
	DDX_Control(pDX, IDC_ADD_ROW, m_rAddRow);
	DDX_Control(pDX, IDC_LIST_BOX, m_rList);
	DDX_Control(pDX, IDC_BST_ANTAL, m_rBstQuantity);
	DDX_Control(pDX, IDC_ART_NR, m_rArticleNr);
	DDX_Control(pDX, IDC_NEW_INV, m_rNew);
	DDX_Control(pDX, IDC_INV_NUMBER, m_rInvoiceNr);
	DDX_Control(pDX, IDC_INV_DATE, m_rDate);
	DDX_Control(pDX, IDC_CUSTOMER_NUMBER, m_rCustomerNr);
	DDX_Text(pDX, IDC_CUSTOMER_NUMBER, m_strCustomerNr);
	DDX_Text(pDX, IDC_INV_DATE, m_strDate);
	DDX_Text(pDX, IDC_INV_NUMBER, m_lnvoiceNr);
	DDX_Text(pDX, IDC_ART_NR, m_strArticleNr);
	DDX_Text(pDX, IDC_BST_ANTAL, m_dBstQuantity);
	DDX_Text(pDX, IDC_EDIT_SEARCH2, m_lSearch);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CInvoice, CPropertyPage)
	//{{AFX_MSG_MAP(CInvoice)
	ON_BN_CLICKED(IDC_FIRST, OnFirst)
	ON_BN_CLICKED(IDC_NEXT, OnNext)
	ON_BN_CLICKED(IDC_NEW_INV, OnNewInv)
	ON_BN_CLICKED(IDC_ADD_ROW, OnAddRow)
	ON_BN_CLICKED(IDC_UPDATE_INV, OnUpdateInv)
	ON_BN_CLICKED(IDC_SEARCH_INV, OnSearchInv)
	ON_BN_CLICKED(IDC_DELETE_ROW, OnDeleteRow)
	ON_NOTIFY(NM_CLICK, IDC_LIST_BOX, OnClickListBox)
	ON_BN_CLICKED(IDC_ADD_UPDATE_ROW, OnAddUpdateRow)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CInvoice message handlers

//-----------------------------------------------------------------------------
// Funktion:	OnFirst
// Beskrivning:	Stller datastrukturen p frsta posten i databasen
//-----------------------------------------------------------------------------
void CInvoice::OnFirst() 
{
    //Hmtar frsta posten frn databasen
    error = AdkFirst(pData);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
    DataUpdate(pData);	
}

//-----------------------------------------------------------------------------
// Funktion:	DataUpdate
// Beskrivning:	Uppdaterar visuella flt med information
//-----------------------------------------------------------------------------
void CInvoice::DataUpdate(PADK_DATA pData)
{
    char* pcTemp = new char[160];
    double dTemp;
    long lDate;
    
    //Hmtar fakturanummret och lgger det i en temporr variabel 
    error = AdkGetDouble(pData, ADK_OOI_HEAD_DOCUMENT_NUMBER, &dTemp);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
    //Kopierar in det vrde som hmtats till medlemsvariabeln.
    m_lnvoiceNr = (long)dTemp;
    
    
    //Hmtar kundnummret och lgger det i en temporr variabel 
    error = AdkGetStr(pData, ADK_OOI_HEAD_CUSTOMER_NUMBER, &pcTemp, 160);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
    //Kopierar in det vrde som hmtats till medlemsvariabeln.
    m_strCustomerNr = pcTemp;
    
    //Hmtar fakturadatumet och lgger det i en temporr variabel 
    error = AdkGetDate(pData, ADK_OOI_HEAD_DOCUMENT_DATE1, &lDate);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
    //Konverterar datumvrde i form av en long till ett datum p strng, lggs i den temporra strngen pcTemp
    error = AdkLongToDate(lDate, &pcTemp, 160);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
    //Kopierar in det vrde som hmtats till medlemsvariabeln.
    m_strDate = pcTemp;
    

    double dNumberOfRows;
    //Hmtar antalet rader
    error = AdkGetDouble(pData, ADK_OOI_HEAD_NROWS, &dNumberOfRows);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
    //Skapar en temporr datastruktur fr att arbeta med en rad i taget
    PADK_DATA pDataRow;

    m_rList.DeleteAllItems();

    //Temporra variabler fr att hmta vrden frn raderna
    char* pcTempRow = new char[160];
    double dTempRow;
    for(int i=0; i < long(dNumberOfRows); i++)
    {
        //Hmtar aktuell rad till den temporra datastruktur pDataRow
        error = AdkGetData(pData, ADK_OOI_HEAD_ROWS, i, &pDataRow);  
        if(error.lRc != ADKE_OK)
        {
            CErrorHandling ErrorHandling(error);
        }
        //Hmtar artikelnumer till aktuell rad
        error = AdkGetStr(pDataRow, ADK_OOI_ROW_ARTICLE_NUMBER, &pcTempRow, 16);
        if(error.lRc != ADKE_OK)
        {
            CErrorHandling ErrorHandling(error);
        }
        
        //Hmtar bestllt antal till aktuell rad
        error = AdkGetDouble(pDataRow, ADK_OOI_ROW_QUANTITY2, &dTempRow);
        if(error.lRc != ADKE_OK)
        {
            CErrorHandling ErrorHandling(error);
        }

        //Fyller listkontrollen
        m_rList.InsertItem(i, pcTempRow);
        m_rList.SetItemText(i, 0, pcTempRow);

        //Skapar en CString fr att konvertera till strng frn double
        CString strDouble;
        strDouble.Format("%f",dTempRow);
        //Fyller listkontrollen
        m_rList.SetItemText(i, 1, strDouble);
    }
    
    UpdateData(FALSE);
    delete [] pcTempRow;
    delete [] pcTemp;
}

//-----------------------------------------------------------------------------
// Funktion:	OnNext
// Beskrivning:	Stller datastrukturen p nsta post i databasen.
//              Utgr frn aktiv post
//-----------------------------------------------------------------------------
void CInvoice::OnNext() 
{
    //Hmtar nsta post frn databasen
    error = AdkNext(pData);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
    DataUpdate(pData);	
}

//-----------------------------------------------------------------------------
// Funktion:	OnNew
// Beskrivning:	Anropar AddInvoice() som skapar en ny post i databasen
//-----------------------------------------------------------------------------
void CInvoice::OnNewInv() 
{
    UpdateData(TRUE);
    //Anropas funktionen AddInvoice som skapar ny post
    AddInvoice();
    UpdateData(FALSE);	
}

BOOL CInvoice::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();
	
    m_rList.InsertColumn(0, "ArtikelNummer", LVCFMT_LEFT, 150);
    m_rList.InsertColumn(1, "Bestllt antal", LVCFMT_LEFT, 150);

    return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

//-----------------------------------------------------------------------------
// Funktion:	OnAddRow
// Beskrivning:	Lgger till en rad i listkontrollen.
//-----------------------------------------------------------------------------
void CInvoice::OnAddRow() 
{
    UpdateData(TRUE);

    //Lgger till rader i listkontrollen
    m_rList.InsertItem( m_rList.GetItemCount(), m_strArticleNr.GetBuffer(16));
    m_rList.SetItemText( m_rList.GetItemCount()-1, 0, m_strArticleNr.GetBuffer(16));
    
    //Skapar en CString fr att konvertera till strng frn double
    CString strDouble;
    strDouble.Format("%f",m_dBstQuantity);
    //Fyller listkontrollen
    m_rList.SetItemText(m_rList.GetItemCount()-1, 1, strDouble);
    
    UpdateData(FALSE);
}

//-----------------------------------------------------------------------------
// Funktion:	AddInvoice
// Beskrivning:	Lgger till en post i databasen. Anvnder de vrde som finns i 
//              datastrukturen samt de rader som finns i listkontrollen.
//-----------------------------------------------------------------------------
void CInvoice::AddInvoice()
{
    int iLen;
    long lDate;

    //Kontrollerar fltets lngd
    error = AdkGetLength(pData, ADK_OOI_HEAD_CUSTOMER_NUMBER, &iLen);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }

    //Lgger till kundnumret i datastrukturen
    error = AdkSetStr(pData, ADK_OOI_HEAD_CUSTOMER_NUMBER, m_strCustomerNr.GetBuffer(iLen));
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
    
    //Konvertar datumet frn en strng till ett datum i form av en long
    error = AdkDateToLong(m_strDate.GetBuffer(10), &lDate);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }

    //Tilldelar datumet i form av long till datastrukturen
    error = AdkSetDate(pData, ADK_OOI_HEAD_DOCUMENT_DATE1, lDate);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }

    int iNumberOfRows;
    iNumberOfRows = m_rList.GetItemCount();
    
    //Skapar en datastruktur med rtt antal rader
    PADK_DATA pDataRow = AdkCreateDataRow(ADK_DB_INVOICE_ROW, iNumberOfRows);

    //Loopar igenom raderna och hmtar vrden
    for(int i=0; i<iNumberOfRows; i++)
    {
        //Skapar en temporr datastruktur fr att hlla en enskild rad
        //Denna datastruktur motsvarar aktuell rad(i).
        PADK_DATA pRowTemp = AdkGetDataRow(pDataRow, i);

        //Kontrollerar fltets lngd
        error = AdkGetLength(pRowTemp, ADK_OOI_ROW_ARTICLE_NUMBER, &iLen);
        if(error.lRc != ADKE_OK)
        {
            CErrorHandling ErrorHandling(error);
        }
        
        //Tilldelar vrdet fr aktuell rad till den temporra datastrukturen pRowTemp
        error = AdkSetStr(pRowTemp, ADK_OOI_ROW_ARTICLE_NUMBER, m_rList.GetItemText(i, 0).GetBuffer(16));
        if(error.lRc != ADKE_OK)
        {
            CErrorHandling ErrorHandling(error);
        }
        
        //Tilldelar vrdet fr aktuell rad till den temporra datastruktur pRowTemp
        error = AdkSetDouble(pRowTemp, ADK_OOI_ROW_QUANTITY2, atof(m_rList.GetItemText(i, 1).GetBuffer(20)));
        if(error.lRc != ADKE_OK)
        {
            CErrorHandling ErrorHandling(error);
        }
    }

    //Kopplar samman huvud och rader
    error = AdkSetData(pData, ADK_OOI_HEAD_ROWS, pDataRow); 
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }

    //Anger antalet rader till huvudet
    error = AdkSetDouble(pData, ADK_OOI_HEAD_NROWS, iNumberOfRows);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }

    //Anropar AdkAdd som skapar en ny faktura
    error = AdkAdd(pData);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
}

//-----------------------------------------------------------------------------
// Funktion:	OnUpdateInv
// Beskrivning:	Uppdaterar en post i databasen. Anvnder de vrde som finns i 
//              datastrukturen. Den post som har aktuellt fakturanummer kommer att 
//              uppdateras. Aven de rader som finns kommer att uppdateras, finns 
//              det fler rader n ursprunget kommer rader att lggas till.
//-----------------------------------------------------------------------------
void CInvoice::OnUpdateInv() 
{
    UpdateData(TRUE);

    int iLen;
    long lDate;

    //Stter dokumentnummret p den faktura som nskas uppdateras
    error = AdkSetDouble(pData, ADK_OOI_HEAD_DOCUMENT_NUMBER, m_lnvoiceNr);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }

    //Kontrollerar fltets lngd
    error = AdkGetLength(pData, ADK_OOI_HEAD_CUSTOMER_NUMBER, &iLen);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }

    //Lgger till kundnumret i datastrukturen
    error = AdkSetStr(pData, ADK_OOI_HEAD_CUSTOMER_NUMBER, m_strCustomerNr.GetBuffer(iLen));
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
    
    //Konvertar datumet frn en strng till ett datum i form av en long
    error = AdkDateToLong(m_strDate.GetBuffer(10), &lDate);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }

    //Tilldelar datumet i form av long till datastrukturen
    error = AdkSetDate(pData, ADK_OOI_HEAD_DOCUMENT_DATE1, lDate);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }

    int iNumberOfRows;
    iNumberOfRows = m_rList.GetItemCount();
    
    //Skapar en datastruktur med rtt antal rader
    //Det nya antalet rader skapas.
    PADK_DATA pDataRow = AdkCreateDataRow(ADK_DB_INVOICE_ROW, iNumberOfRows);

    //Loopar igenom raderna och hmtar vrden
    for(int i=0; i<iNumberOfRows; i++)
    {
        //Skapar en temporr datastruktur fr att hlla en enskild rad
        //Denna datastruktur motsvarar aktuell rad(i).
        PADK_DATA pRowTemp = AdkGetDataRow(pDataRow, i);

        //Kontrollerar fltets lngd
        error = AdkGetLength(pRowTemp, ADK_OOI_ROW_ARTICLE_NUMBER, &iLen);
        if(error.lRc != ADKE_OK)
        {
            CErrorHandling ErrorHandling(error);
        }
        
        //Tilldelar vrdet fr aktuell rad till den temporra datastrukturen pRowTemp
        error = AdkSetStr(pRowTemp, ADK_OOI_ROW_ARTICLE_NUMBER, m_rList.GetItemText(i, 0).GetBuffer(16));
        if(error.lRc != ADKE_OK)
        {
            CErrorHandling ErrorHandling(error);
        }
        
        //Tilldelar vrdet fr aktuell rad till den temporra datastrukturen pRowTemp
        error = AdkSetDouble(pRowTemp, ADK_OOI_ROW_QUANTITY2, atof(m_rList.GetItemText(i, 1).GetBuffer(20)));
        if(error.lRc != ADKE_OK)
        {
            CErrorHandling ErrorHandling(error);
        }
    }

    //Kopplar samman huvud och rader
    error = AdkSetData(pData, ADK_OOI_HEAD_ROWS, pDataRow); 
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }

    //Anger antalet rader till huvudet
    error = AdkSetDouble(pData, ADK_OOI_HEAD_NROWS, iNumberOfRows);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }

    //Anropar AdkUpdate som uppdaterar fakturan
    error = AdkUpdate(pData);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }
	
}

//-----------------------------------------------------------------------------
// Funktion:	OnSearchInv
// Beskrivning:	Sker efter en post i databasen. Sker p fakturanummer med det vrde
//              som skrivits till variabeln m_lSearch
//-----------------------------------------------------------------------------
void CInvoice::OnSearchInv() 
{
    UpdateData(TRUE);
    
    //Skapar en variabel av typen ADK_SORT_ORDER
    ADK_SORT_ORDER nSortOrder;

    //Anger sorteringsordningen till fakturanummer
    nSortOrder = eInvoiceNr;

    //Stter den sorteringsordning som nskas
    error = AdkSetSortOrder(pData, nSortOrder);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }

    //Tilldelar skvrde till datastrukturen
    error = AdkSetDouble(pData, ADK_OOI_HEAD_DOCUMENT_NUMBER, m_lSearch);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }

    //Sker i databasen med hnsyn till sorteringsordning och skvrde
    error = AdkFind2(pData, TRUE);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
        return;
    }
    DataUpdate(pData);

}

//-----------------------------------------------------------------------------
// Funktion:	OnDeleteRow
// Beskrivning:	Raderar em rad tillhrande ett fakturahuvud. Raderar den rad som
//              r markerad i listkontrollen.
//-----------------------------------------------------------------------------
void CInvoice::OnDeleteRow() 
{
    POSITION pos = m_rList.GetFirstSelectedItemPosition();
    if(pos == NULL)
    {
        MessageBox("Du mste vlja en rad i listan", "Vlj i listan", MB_OK|MB_ICONINFORMATION);
        return;
    }
   
    //Tilldelar fakturanummer fr att peka ut den faktura dr en rad nskas tas bort
    error = AdkSetDouble(pData, ADK_OOI_HEAD_DOCUMENT_NUMBER, m_lnvoiceNr);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
    }

    //Raderar vald rad p aktuell faktura
    error = AdkDeleteRow(pData, (int)pos);
    if(error.lRc != ADKE_OK)
    {
        CErrorHandling ErrorHandling(error);
        return;
    }
    DataUpdate(pData);
}

void CInvoice::OnClickListBox(NMHDR* pNMHDR, LRESULT* pResult) 
{
    POSITION pos = m_rList.GetFirstSelectedItemPosition();
    m_strArticleNr = m_rList.GetItemText((int)pos-1, 0);
    m_dBstQuantity = atof(m_rList.GetItemText((int)pos-1, 1));
    
    UpdateData(FALSE);
	
	*pResult = 0;
}

void CInvoice::OnAddUpdateRow() 
{
    UpdateData(TRUE);

    //Uppdaterar rader i listkontrollen
    m_rList.SetItemText((int)m_rList.GetFirstSelectedItemPosition()-1, 0, m_strArticleNr.GetBuffer(16));
    
    //Skapar en CString fr att konvertera till strng frn double
    CString strDouble;
    strDouble.Format("%f",m_dBstQuantity);
    //Fyller listkontrollen
    m_rList.SetItemText((int)m_rList.GetFirstSelectedItemPosition()-1, 1, strDouble);
    
    UpdateData(FALSE);	
}
